package com.jeeplus.test.materialManagement.wareHouse.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.materialManagement.wareHouse.domain.WareHouseBasic;
import com.jeeplus.test.materialManagement.wareHouse.service.dto.WareHouseDto;
import org.apache.ibatis.annotations.Param;

/**
 * @author: 王强
 * @create: 2022-12-29 16:39
 **/
public interface WareHouseBasicMapper extends BaseMapper<WareHouseBasic> {

    IPage<WareHouseDto> findList(Page<WareHouseDto> page,@Param(Constants.WRAPPER) QueryWrapper<WareHouseDto> queryWrapper);

    String getUserNameByUserId(String id);
}
