package com.jeeplus.test.materialManagement.wareHouse.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.test.materialManagement.wareHouse.domain.WareHouseDetailed;
import com.jeeplus.test.workContract.service.dto.WorkAttachmentDto;

import java.util.List;

/**
 * @author: 王强
 * @create: 2022-12-30 09:27
 **/
public interface WareHouseDetailedMapper extends BaseMapper<WareHouseDetailed> {
    /**
     * 根据入库基础表的id查入库明细相关数据
     * @param id
     * @return
     */
    List<WareHouseDetailed> getByBasicId(String id);

    //查出附件信息
    List<WorkAttachmentDto> getByAttachmentId(String id);

    List<String> getIdByBasicId(String id);
}
