package com.jeeplus.test.cw.projectRecords.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 项目管理-项目登记-项目组成员
 * @TableName cw_project_members
 */
@TableName(value ="cw_project_members")
@Data
public class CwProjectMembers extends BaseEntity {

    /**
     * 备注
     */
    private String remarks;

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 人员id
     */
    private String userId;

    /**
     * 状态
     */
    private String status;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}