package com.jeeplus.test.materialManagement.collect.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.test.materialManagement.collect.domain.CollectDetailed;
import com.jeeplus.test.workContract.service.dto.WorkAttachmentDto;

import java.util.List;

/**
 * @author: 王强
 * @create: 2023-01-04 15:32
 **/
public interface CollectDetailedMapper extends BaseMapper<CollectDetailed> {
    //根据基础表id查出详情数据
    List<CollectDetailed> getByBasicId(String id);

    //查出附件信息
    List<WorkAttachmentDto> getByAttachmentId(String id);

    List<String> getIdByBasicId(String id);
}
