package com.jeeplus.test.materialManagement.purchase.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.test.materialManagement.purchase.domain.MaterialDetailed;
import com.jeeplus.test.workContract.service.dto.WorkAttachmentDto;

import java.util.List;

/**
 * @author: 王强
 * @create: 2022-12-02 17:26
 **/
public interface MaterialDetailedMapper extends BaseMapper<MaterialDetailed> {
    //根据基础表id查出详情数据
    List<MaterialDetailed> getByBasicId(String basicId);

    //查出附件信息
    List<WorkAttachmentDto> getByAttachmentId(String id);

    List<String> getIdByBasicId(String id);
}
